Step
Method & Permission
| API | GET | POST | PUT | PATCH | DELETE |
|---|---|---|---|---|---|
| Step List | Admin, Member | Admin | - | - | - |
| Step Detail | Admin, Member | - | - | Admin | Admin |
GET Step List
Endpoint: /tables/step/list/{level}/{sid}/{serializer}/
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
Parameter: token (header, string)
Parameter: widget__sid (query, string)
Response: 200
# serializer = name
{
"page_size": 1,
"page_number": 1,
"page_count": 5,
"count": 5,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "Create an experiment note"
}
]
}
# serializer = list
{
"page_size": 1,
"page_number": 1,
"page_count": 5,
"count": 5,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "Create an experiment note",
"parent": null,
"redirect_to": null,
"color": "Grey",
"workflow": {
"sid": "xxx",
"name": "Plan an experiment",
"description": "This workflow describes what you need to do before start an experiment."
},
"table": {
"sid": "xxx",
"name": "experiments"
},
"change_permission": true
}
]
}
# serializer = detail
{
"page_size": 1,
"page_number": 1,
"page_count": 5,
"count": 5,
"next": "xxx",
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"workflow": {
"sid": "xxx",
"name": "Plan an experiment",
"description": "This workflow describes what you need to do before start an experiment."
},
"parent": null,
"name": "Create an experiment note",
"description": "Learn more at <a href='https://docs.labii.com/eln-and-lims/add-record' target='_blank'>here</a>",
"condition": null,
"protocol": null,
"redirect_to": null,
"color": "Grey",
"is_archived": false,
"updated_by": "xxx",
"date_updated": "2020-02-10T03:02:27.174030Z",
"date_created": "2020-02-10T03:02:27.172914Z",
"change_permission": true
}
]
}
POST Step List
Endpoint: /tables/step/list/{level}/{sid}/{serializer}/
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
Parameter: token (header, string)
Parameter: widget__sid (query, string)
Response: 201
{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"workflow": {
"sid": "xxx",
"name": "Plan an experiment",
"description": "This workflow describes what you need to do before start an experiment."
},
"parent": null,
"name": "Create an experiment note",
"description": "Learn more at <a href='https://docs.labii.com/eln-and-lims/add-record' target='_blank'>here</a>",
"condition": null,
"protocol": null,
"redirect_to": null,
"color": "Grey",
"is_archived": false,
"updated_by": "xxx",
"date_updated": "2020-02-10T03:02:27.174030Z",
"date_created": "2020-02-10T03:02:27.172914Z",
"change_permission": true
}
Response: 406
Missing workflow__sid in get parameters
Wrong workflow sid - the provided workflow sid is not correct
GET Step Detail
Endpoint: /tables/step/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Response: 200
{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"workflow": {
"sid": "xxx",
"name": "Plan an experiment",
"description": "This workflow describes what you need to do before start an experiment."
},
"parent": null,
"name": "Create an experiment note",
"description": "Learn more at <a href='https://docs.labii.com/eln-and-lims/add-record' target='_blank'>here</a>",
"condition": null,
"protocol": null,
"redirect_to": null,
"color": "Grey",
"is_archived": false,
"updated_by": "xxx",
"date_updated": "2020-02-10T03:02:27.174030Z",
"date_created": "2020-02-10T03:02:27.172914Z",
"change_permission": true
}
PATCH Step Detail
Endpoint: /tables/step/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Response: 200
{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"workflow": {
"sid": "xxx",
"name": "Plan an experiment",
"description": "This workflow describes what you need to do before start an experiment."
},
"parent": null,
"name": "Create an experiment note",
"description": "Learn more at <a href='https://docs.labii.com/eln-and-lims/add-record' target='_blank'>here</a>",
"condition": null,
"protocol": null,
"redirect_to": null,
"color": "Grey",
"is_archived": false,
"updated_by": "xxx",
"date_updated": "2020-02-10T03:02:27.174030Z",
"date_created": "2020-02-10T03:02:27.172914Z",
"change_permission": true
}
DELETE Step Detail
Endpoint: /tables/step/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Response: 204
{}